import { webpack } from '@morjs/utils';
import { CustomLoaderOptions } from '../constants';
/**
 * 支持 ts 和 esbuild 两种编译方式
 * 1. 如果没有插件的情况下, 自动使用 esbuild 以构建速度为主
 * 2. 如果有外部插件 或 需求输出 declaration 则使用 ts 编译
 */
export default function ScriptLoader(this: webpack.LoaderContext<CustomLoaderOptions>, fileContent: string): Promise<void>;
