import { EntryBuilderHelpers, Plugin, Runner, typescript as ts } from '@morjs/utils';
/**
 * 多端编译的 sjs 解析和转换
 * 这里仅提供通用的处理, 端的差异由编译插件来解决
 */
export declare class SjsParserPlugin implements Plugin {
    name: string;
    entryBuilder: EntryBuilderHelpers;
    apply(runner: Runner): void;
    /**
     * 修改 require 或 import 的引用路径
     */
    alterImportOrRequirePath(transformers: ts.CustomTransformers, filePath: string): void;
}
